# Class Metrics

java.lang.Object
com.io7m.certusine.vanilla.internal.jaxb.Metrics

public class Metrics extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <attribute name="Endpoint" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
          <attribute name="Protocol" use="required" type="{urn:com.io7m.certusine:configuration:2}OpenTelemetryProtocol" />
        </restriction>
      </complexContent>
    </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `endpoint`
  `protected OpenTelemetryProtocol`
  `protocol`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Metrics()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEndpoint()`
  Gets the value of the endpoint property.
  `OpenTelemetryProtocol`
  `getProtocol()`
  Gets the value of the protocol property.
  `void`
  `setEndpoint(String value)`
  Sets the value of the endpoint property.
  `void`
  `setProtocol(OpenTelemetryProtocol value)`
  Sets the value of the protocol property.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### endpoint

    protected String endpoint

  - ### protocol

    protected OpenTelemetryProtocol protocol

- ## Constructor Details

  - ### Metrics

    public Metrics()

- ## Method Details

  - ### getEndpoint

    public String getEndpoint()
    Gets the value of the endpoint property.
    Returns:
      possible object is `String`

  - ### setEndpoint

    public void setEndpoint(String value)
    Sets the value of the endpoint property.
    Parameters:
      `value` - allowed object is `String`

  - ### getProtocol

    public OpenTelemetryProtocol getProtocol()
    Gets the value of the protocol property.
    Returns:
      possible object is `OpenTelemetryProtocol`

  - ### setProtocol

    public void setProtocol(OpenTelemetryProtocol value)
    Sets the value of the protocol property.
    Parameters:
      `value` - allowed object is `OpenTelemetryProtocol`